package routine

import (
	"github.com/gin-gonic/gin"
	"trading-go/controller"
)

func GetRoutine() *gin.Engine {
	r := gin.Default()
	r.Use(controller.Cors)

	user := r.Group("user")
	{
		user.POST("register", controller.Register)
	}

	return r
}
